summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWilliam Hubbs <william.hubbs@sony.com>2019-03-05 14:02:39 -0600
committerWilliam Hubbs <williamh@gentoo.org>2019-03-05 14:03:12 -0600
commit38ba05d89c82be5a7f7c0e0faa30653cd77c539d (patch)
tree5213c4b63e926d1a9364c3ef1e14444959b20f04 /app-metrics/prometheus/files
parentgnome-base/gnome-light: bump to 3.28.2 (diff)
downloadgentoo-38ba05d89c82be5a7f7c0e0faa30653cd77c539d.tar.gz
gentoo-38ba05d89c82be5a7f7c0e0faa30653cd77c539d.tar.bz2
gentoo-38ba05d89c82be5a7f7c0e0faa30653cd77c539d.zip
app-metrics/prometheus: 2.7.2-r1 bump to fix service script
Copyright: Sony Interactive Entertainment Inc. Package-Manager: Portage-2.3.51, Repoman-2.3.12 Signed-off-by: William Hubbs <williamh@gentoo.org>
Diffstat (limited to 'app-metrics/prometheus/files')
-rw-r--r--app-metrics/prometheus/files/prometheus.initd34
1 files changed, 34 insertions, 0 deletions
diff --git a/app-metrics/prometheus/files/prometheus.initd b/app-metrics/prometheus/files/prometheus.initd
new file mode 100644
index 000000000000..f7371f8ca060
--- /dev/null
+++ b/app-metrics/prometheus/files/prometheus.initd
@@ -0,0 +1,34 @@
+#!/sbin/openrc-run
+# Copyright 2016-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+description="Prometheus monitoring system and time series database"
+pidfile=/var/run/${RC_SVCNAME}.pid
+user=${user:-${RC_SVCNAME}}
+group=${group:-${RC_SVCNAME}}
+command_user=${user}:${group}
+
+command="/usr/bin/prometheus"
+command_args="${command_args:---config.file=/etc/prometheus/prometheus.yml --storage.tsdb.path=/var/lib/prometheus/data}"
+command_background="true"
+error_log=/var/log/${RC_SVCNAME}/${RC_SVCNAME}.log
+output_log=/var/log/${RC_SVCNAME}/${RC_SVCNAME}.log
+
+extra_started_commands="reload"
+
+depend() {
+ after net
+}
+
+reload() {
+ ebegin "Reloading configuration for ${RC_SVCNAME}"
+ case "$supervisor" in
+ supervise-daemon)
+ supervise-daemon ${RC_SVCNAME} --signal HUP
+ ;;
+ *)
+ start-stop-daemon --signal HUP --pidfile "${pidfile}"
+ ;;
+ esac
+ eend $? "Failed to reload ${RC_SVCNAME}"
+}